package jp.hasc.hasctool.core.blockdiagram.model;

/**
 * @author iwasaki
 */
public class Comment extends Shape {
	private static final long serialVersionUID = 1L;
	
	public Comment() {}
	
	public Comment(String text) {
		setText(text);
	}
	
	private String text=null;
	
	/** 文字の色を、RRGGBB形式で表現（例：FF8080）*/
	private String foregroundColor=null;
	
	/** 文字の色を、RRGGBB形式で表現（例：4040F0）*/
	private String backgroundColor=null;
	
	public String getText() {
		return text;
	}
	public void setText(String text) {
		this.text = text;
	}

	public String getForegroundColor() {
		return foregroundColor;
	}

	public void setForegroundColor(String foregroundColor) {
		this.foregroundColor = foregroundColor;
	}

	public String getBackgroundColor() {
		return backgroundColor;
	}

	public void setBackgroundColor(String backgroundColor) {
		this.backgroundColor = backgroundColor;
	}
}
